FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 04-07-2012, 08:46 PM
David Hrbáč
 
Default gnumeric/goffice: defective RPM from rpmforge ???

Dne 7.4.2012 21:31, ken napsal(a):
> "yum update" output:
>
> ...............................
> --> Running transaction check
> --> Processing Dependency: libgoffice-1.so.2 for package: gnumeric
> ---> Package goffice.i386 0:0.6.6-1.el5.rf set to be updated
> --> Finished Dependency Resolution
> 1:gnumeric-1.6.3-15.el5.2.i386 from installed has depsolving problems
> --> Missing Dependency: libgoffice-1.so.2 is needed by package
> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
> Error: Missing Dependency: libgoffice-1.so.2 is needed by package
> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
> ...............................
>
> # rpm -qa| grep goffice
> goffice-0.2.2-1.el5
>
> # yum deplist gnumeric|grep goffice
> dependency: libgoffice-1.so.2
> provider: goffice.i386 0.2.2-1.el5
>
> _______________________________________________
> CentOS mailing list
> CentOS@centos.org
> http://lists.centos.org/mailman/listinfo/centos
Hi,
Please create an issue on GitHub: https://github.com/repoforge/rpms/issues
Thanks,
DH
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-09-2012, 05:42 PM
ken
 
Default gnumeric/goffice: defective RPM from rpmforge ???

"yum update" output:

...............................
--> Running transaction check
--> Processing Dependency: libgoffice-1.so.2 for package: gnumeric
---> Package goffice.i386 0:0.6.6-1.el5.rf set to be updated
--> Finished Dependency Resolution
1:gnumeric-1.6.3-15.el5.2.i386 from installed has depsolving problems
--> Missing Dependency: libgoffice-1.so.2 is needed by package
1:gnumeric-1.6.3-15.el5.2.i386 (installed)
Error: Missing Dependency: libgoffice-1.so.2 is needed by package
1:gnumeric-1.6.3-15.el5.2.i386 (installed)
...............................

# rpm -qa| grep goffice
goffice-0.2.2-1.el5

# yum deplist gnumeric|grep goffice
dependency: libgoffice-1.so.2
provider: goffice.i386 0.2.2-1.el5

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-09-2012, 07:41 PM
Ned Slider
 
Default gnumeric/goffice: defective RPM from rpmforge ???

On 09/04/12 18:42, ken wrote:
> "yum update" output:
>
> ...............................
> --> Running transaction check
> --> Processing Dependency: libgoffice-1.so.2 for package: gnumeric
> ---> Package goffice.i386 0:0.6.6-1.el5.rf set to be updated
> --> Finished Dependency Resolution
> 1:gnumeric-1.6.3-15.el5.2.i386 from installed has depsolving problems
> --> Missing Dependency: libgoffice-1.so.2 is needed by package
> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
> Error: Missing Dependency: libgoffice-1.so.2 is needed by package
> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
> ...............................
>
> # rpm -qa| grep goffice
> goffice-0.2.2-1.el5
>
> # yum deplist gnumeric|grep goffice
> dependency: libgoffice-1.so.2
> provider: goffice.i386 0.2.2-1.el5
>

Firstly, if you think the defective package is goffice from rpmforge,
why are you reporting this on the CentOS list? You should tell the folks
at rpmforge, not this list.

Secondly, to me it looks more likely that gnumeric is the problem
package, and that doesn't appear to have come from rpmforge as it has no
.rf tag.

Where does rpm say the gnumeric package comes from:

rpm -qi gnumeric

as that may give you some clue as to where to take the issue.

Google seems to think it came from EPEL. If that's the case, go tell
them about it :-)

You should also read the CentOS Wiki page on repositories, especially
the advice about mixing certain 3rd party repositories:

http://wiki.centos.org/AdditionalResources/Repositories

as that is what has likely caused this particular system breakage.

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-09-2012, 07:52 PM
 
Default gnumeric/goffice: defective RPM from rpmforge ???

Ned Slider wrote:
> On 09/04/12 18:42, ken wrote:
>> "yum update" output:
>>
>> ...............................
>> --> Running transaction check
>> --> Processing Dependency: libgoffice-1.so.2 for package: gnumeric
>> ---> Package goffice.i386 0:0.6.6-1.el5.rf set to be updated
>> --> Finished Dependency Resolution
>> 1:gnumeric-1.6.3-15.el5.2.i386 from installed has depsolving problems
>> --> Missing Dependency: libgoffice-1.so.2 is needed by package
>> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
>> Error: Missing Dependency: libgoffice-1.so.2 is needed by package
>> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
>> ...............................
>>
>> # rpm -qa| grep goffice
>> goffice-0.2.2-1.el5
>>
>> # yum deplist gnumeric|grep goffice
>> dependency: libgoffice-1.so.2
>> provider: goffice.i386 0.2.2-1.el5
>>
>
> Firstly, if you think the defective package is goffice from rpmforge,
> why are you reporting this on the CentOS list? You should tell the folks
> at rpmforge, not this list.
<snip>
More - why are you (the OP) getting it from repoforge? This has come up
over and over - the packages there are not guaranteed to be compatible
with packages from the std. CentOS repositories.

Try removing it, and installing from one of the CentOS mirrors, or epel,
or rpmfusion.

Btw, if the o/p has d/l it, but not installed, it would be rpm -qip....

mark


_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-10-2012, 10:09 AM
Nicolas Thierry-Mieg
 
Default gnumeric/goffice: defective RPM from rpmforge ???

ken wrote:
> "yum update" output:
>
> ...............................
> --> Running transaction check
> --> Processing Dependency: libgoffice-1.so.2 for package: gnumeric
> ---> Package goffice.i386 0:0.6.6-1.el5.rf set to be updated
> --> Finished Dependency Resolution
> 1:gnumeric-1.6.3-15.el5.2.i386 from installed has depsolving problems
> --> Missing Dependency: libgoffice-1.so.2 is needed by package
> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
> Error: Missing Dependency: libgoffice-1.so.2 is needed by package
> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
> ...............................
>
> # rpm -qa| grep goffice
> goffice-0.2.2-1.el5
>
> # yum deplist gnumeric|grep goffice
> dependency: libgoffice-1.so.2
> provider: goffice.i386 0.2.2-1.el5


gnumeric is not in EL5/cent5, neither is goffice.
you are mixing repos and haven't configured your priorities and/or
includes/excludes correctly. This is not a repoforge issue.

too bad whatever 3rd party repo you're using for goffice and gnumeric is
either too ignorant or too bloody arrogant to use repotags, as the
problem would have been obvious if they did...
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 04-11-2012, 09:23 AM
ken
 
Default gnumeric/goffice: defective RPM from rpmforge ???

On 04/07/2012 04:46 PM David Hrbáč wrote:
> Dne 7.4.2012 21:31, ken napsal(a):
>> "yum update" output:
>>
>> ...............................
>> --> Running transaction check
>> --> Processing Dependency: libgoffice-1.so.2 for package: gnumeric
>> ---> Package goffice.i386 0:0.6.6-1.el5.rf set to be updated
>> --> Finished Dependency Resolution
>> 1:gnumeric-1.6.3-15.el5.2.i386 from installed has depsolving problems
>> --> Missing Dependency: libgoffice-1.so.2 is needed by package
>> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
>> Error: Missing Dependency: libgoffice-1.so.2 is needed by package
>> 1:gnumeric-1.6.3-15.el5.2.i386 (installed)
>> ...............................
>>
>> # rpm -qa| grep goffice
>> goffice-0.2.2-1.el5
>>
>> # yum deplist gnumeric|grep goffice
>> dependency: libgoffice-1.so.2
>> provider: goffice.i386 0.2.2-1.el5
>>
>> _______________________________________________
>> CentOS mailing list
>> CentOS@centos.org
>> http://lists.centos.org/mailman/listinfo/centos
> Hi,
> Please create an issue on GitHub: https://github.com/repoforge/rpms/issues
> Thanks,
> DH

David,

Thanks for the cordial and constructive reply. Issue opened.

kf

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 09:11 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org